edu.isi.pegasus.planner.invocation

## Interface HasDescriptor

All Known Implementing Classes:
  Descriptor, Fifo, Temporary

    public interface HasDescriptor

This interface defines a common base for all File elements in an invocation record that carry a descriptor in their values. It exists primarily for grouping purposes and for easier access for the database manager.

Version:
  $Revision$
Author:
  Jens-S. Vöckler, Yong Zhao

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `getDescriptor()` Accessor: Obtains the descriptor of the file handle
`void` `setDescriptor(int descriptor)` Accessor: Sets the descriptor number of a file object.

### Method Detail

#### getDescriptor

    int getDescriptor()

Accessor: Obtains the descriptor of the file handle

Returns:
  the descriptor number, or -1 for none.
See Also:
  `setDescriptor(int)`

#### setDescriptor

    void setDescriptor(int descriptor)

Accessor: Sets the descriptor number of a file object.

Parameters:
  `descriptor` - is the new descriptor to store.
See Also:
  `getDescriptor()`